#include <iostream>
#include <vector>
using namespace std;
int main()
{
   int N, K;
   cin >> N >> K;
   char s;
   vector <char> S, P;
   for (int i = 0; i < K; i++){
    cin >> s;
    S.push_back(s);
   }
   for(int i = 0; i < N; i++){
    cout << 1 << " ";
   }
}